package com.learn.hellolistview;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class TestImageAdapter extends BaseAdapter {

	private Context context;
	private String[] contents = { "й", "", "˹", "Ӣ", "" };
	private int[] images = { R.drawable.ic_launcher, R.drawable.ic_launcher,
			R.drawable.ic_launcher, R.drawable.ic_launcher,
			R.drawable.ic_launcher };

	public TestImageAdapter(Context context) {
		this.context = context;
	}

	@Override
	public int getCount() {
		return contents.length;
	}

	@Override
	public Object getItem(int position) {
		return null;
	}

	@Override
	public long getItemId(int position) {
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		if (convertView == null) {
			convertView = LayoutInflater.from(context).inflate(R.layout.list_item, null);
			ItemViewCache itemViewCache = new ItemViewCache();
			itemViewCache.imageView = (ImageView)convertView.findViewById(R.id.imageViewIcon);
			itemViewCache.textView = (TextView)convertView.findViewById(R.id.textViewContent);
			convertView.setTag(itemViewCache);
		}
		
		ItemViewCache cache = (ItemViewCache) convertView.getTag();

		cache.imageView.setImageResource(images[position]);
		cache.textView.setText(contents[position]);
		return convertView;
	}
	
	private static class ItemViewCache{
		public TextView textView;
		public ImageView imageView;
	}

}
